Index: /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/Selector.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/Selector.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/Selector.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("Selector", "A base class for selection operators.")]
-  [StorableClass]
+  [StorableClass("84A1A53E-A5A8-44AB-B81C-B83A448BEF57")]
   public abstract class Selector : InstrumentedOperator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/SingleObjectiveSelector.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/SingleObjectiveSelector.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/SingleObjectiveSelector.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("SingleObjectiveSelector", "A base class for selection operators which consider a single double quality value for selection.")]
-  [StorableClass]
+  [StorableClass("30F5752E-A14A-4246-89C0-EB29245CACBA")]
   public abstract class SingleObjectiveSelector : Selector, ISingleObjectiveOperator {
     protected IValueParameter<BoolValue> CopySelectedParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/StochasticSelector.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/StochasticSelector.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/StochasticSelector.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("StochasticSelector", "A base class for stochastic selection operators.")]
-  [StorableClass]
+  [StorableClass("0C33DC4F-CE63-4FD3-9C6B-08EE7DF1BB54")]
   public abstract class StochasticSelector : Selector, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/StochasticSingleObjectiveSelector.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/StochasticSingleObjectiveSelector.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/StochasticSingleObjectiveSelector.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("StochasticSingleObjectiveSelector", "A base class for stochastic selection operators which consider a single double quality value for selection.")]
-  [StorableClass]
+  [StorableClass("919AEC75-EBCD-41E2-A1B3-FD6F747EC7BA")]
   public abstract class StochasticSingleObjectiveSelector : SingleObjectiveSelector, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/TournamentSelector.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/TournamentSelector.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/TournamentSelector.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("TournamentSelector", "A tournament selection operator which considers a single double quality value for selection.")]
-  [StorableClass]
+  [StorableClass("8F9A5AF2-7238-4136-AE8B-79261D10ED37")]
   public sealed class TournamentSelector : StochasticSingleObjectiveSelector, ISingleObjectiveSelector {
     public ValueLookupParameter<IntValue> GroupSizeParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/WorstReplacer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/WorstReplacer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/WorstReplacer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Selection {
   [Item("WorstReplacer", "Replaces the worst sub-scopes of the remaining scope with all those (or the best if there are more) from the selected scope.")]
-  [StorableClass]
+  [StorableClass("4B129504-673C-427E-A054-255A2EF8CE8E")]
   public sealed class WorstReplacer : Replacer, ISingleObjectiveReplacer {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/WorstSelector.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/WorstSelector.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Selection/3.3/WorstSelector.cs	(revision 13368)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("WorstSelector", "A selection operator which considers a single double quality value and selects the worst.")]
-  [StorableClass]
+  [StorableClass("5A8CFF8E-39FC-4993-974D-08FAEC3D91FD")]
   public sealed class WorstSelector : SingleObjectiveSelector, ISingleObjectiveSelector {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.SequentialEngine/3.3/SequentialEngine.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.SequentialEngine/3.3/SequentialEngine.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.SequentialEngine/3.3/SequentialEngine.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// Engine for sequential execution of algorithms.
   /// </summary>
-  [StorableClass]
+  [StorableClass("F86FCEA9-230E-404F-800B-1C47121AA375")]
   [Item("Sequential Engine", "Engine for sequential execution of algorithms.")]
   public class SequentialEngine : Engine {
Index: /branches/PersistenceOverhaul/HeuristicLab.Services.Hive/3.3/MessageContainer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Services.Hive/3.3/MessageContainer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Services.Hive/3.3/MessageContainer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
   /// the actual message itself and the TaskId, refered by the message
   /// </summary>
-  [StorableClass]
+  [StorableClass("C7225510-31DC-4114-A1C6-F7B26F975A16")]
   [Serializable]
   [DataContract]
Index: /branches/PersistenceOverhaul/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/StorableAttributeTests.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/StorableAttributeTests.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/StorableAttributeTests.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -24,5 +24,5 @@
 namespace HeuristicLab.Persistence.Tests {
 
-  [StorableClass]
+  [StorableClass("2CD1E9C4-DDBA-458D-ADDA-5649A48AD564")]
   class DemoClass {
 
@@ -36,5 +36,5 @@
   }
 
-  [StorableClass]
+  [StorableClass("2CD1E9C4-DDBA-458D-ADDA-5649A48AD564")]
   class Base {
     public string baseName;
@@ -46,5 +46,5 @@
   }
 
-  [StorableClass]
+  [StorableClass("2CD1E9C4-DDBA-458D-ADDA-5649A48AD564")]
   class Override : Base {
     [Storable]
@@ -55,9 +55,9 @@
   }
 
-  [StorableClass]
+  [StorableClass("2CD1E9C4-DDBA-458D-ADDA-5649A48AD564")]
   class Intermediate : Override {
   }
 
-  [StorableClass]
+  [StorableClass("2CD1E9C4-DDBA-458D-ADDA-5649A48AD564")]
   class New : Intermediate {
     public string newName;
Index: /branches/PersistenceOverhaul/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/UseCases.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/UseCases.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/UseCases.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -46,5 +46,5 @@
 namespace HeuristicLab.Persistence.Tests {
 
-  [StorableClass]
+  [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
   public class NumberTest {
     [Storable]
@@ -95,5 +95,5 @@
   }
 
-  [StorableClass]
+  [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
   public class NonDefaultConstructorClass {
     [Storable]
@@ -104,5 +104,5 @@
   }
 
-  [StorableClass]
+  [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
   public class IntWrapper {
 
@@ -127,5 +127,5 @@
   }
 
-  [StorableClass]
+  [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
   public class PrimitivesTest : NumberTest {
     [Storable]
@@ -159,5 +159,5 @@
   public enum TestEnum { va1, va2, va3, va8 } ;
 
-  [StorableClass]
+  [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
   public class RootBase {
     [Storable]
@@ -178,5 +178,5 @@
   }
 
-  [StorableClass]
+  [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
   public class Root : RootBase {
     [Storable]
@@ -213,5 +213,5 @@
   public enum TrickyEnum { zero = 0, one = 1, two = 2 }
 
-  [StorableClass]
+  [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
   public class EnumTest {
     [Storable]
@@ -223,5 +223,5 @@
   }
 
-  [StorableClass]
+  [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
   public class Custom {
     [Storable]
@@ -233,5 +233,5 @@
   }
 
-  [StorableClass]
+  [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
   public class Manager {
 
@@ -246,5 +246,5 @@
   }
 
-  [StorableClass]
+  [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
   public class C {
     [Storable]
@@ -486,5 +486,5 @@
     }
 
-    [StorableClass]
+    [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
     public class NestedType {
       [Storable]
@@ -753,5 +753,5 @@
     }
 
-    [StorableClass]
+    [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
     class Child {
       [Storable]
@@ -759,5 +759,5 @@
     }
 
-    [StorableClass]
+    [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
     class Parent {
       [Storable]
@@ -765,5 +765,5 @@
     }
 
-    [StorableClass]
+    [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
     class GrandParent {
       [Storable]
@@ -843,5 +843,5 @@
     }
 
-    [StorableClass]
+    [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
     private class PersistenceHooks {
       [Storable]
@@ -880,5 +880,5 @@
     }
 
-    [StorableClass]
+    [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
     private class CustomConstructor {
       public string Value = "none";
@@ -904,5 +904,5 @@
     }
 
-    [StorableClass]
+    [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
     public class ExplodingDefaultConstructor {
       public ExplodingDefaultConstructor() {
@@ -954,5 +954,5 @@
     }
 
-    [StorableClass]
+    [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
     public class HookInheritanceTestBase {
       [Storable]
@@ -965,5 +965,5 @@
     }
 
-    [StorableClass]
+    [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
     public class HookInheritanceTestDerivedClass : HookInheritanceTestBase {
       [Storable]
@@ -1241,5 +1241,5 @@
     }
 
-    [StorableClass]
+    [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
     public class ReadOnlyFail {
       [Storable]
@@ -1263,5 +1263,5 @@
 
 
-    [StorableClass]
+    [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
     public class WriteOnlyFail {
       [Storable]
@@ -1284,5 +1284,5 @@
     }
 
-    [StorableClass]
+    [StorableClass("3B2B27A5-3F0A-44ED-8672-0E89C9618026")]
     public class OneWayTest {
       public OneWayTest() { this.value = "default"; }
